Menu

## ResultPoint
in package

ResultPoint.php : 22

Encapsulates a point of interest in an image containing a barcode. Typically, this would be the location of a finder pattern or the corner of the barcode, for example.

##### Tags

author

  Sean Owen

### Table of Contents

$estimatedModuleSize : float
$x : float
$y : float
__construct() : mixed
aboutEquals() : bool
  Determines if this finder pattern "about equals" a finder pattern at the stated position and size -- meaning, it is at nearly the same center with nearly the same size.
getEstimatedModuleSize() : float
getX() : float
getY() : float

### Properties

#### $estimatedModuleSize

ResultPoint.php : 26
`protected float $estimatedModuleSize`

#### $x

ResultPoint.php : 24
`protected float $x`

#### $y

ResultPoint.php : 25
`protected float $y`

### Methods

#### __construct()

ResultPoint.php : 31
`public __construct(float $x, float $y, float $estimatedModuleSize) : mixed`

##### Parameters

$x : float
$y : float
$estimatedModuleSize : float

##### Return values

mixed —

#### aboutEquals()

ResultPoint.php : 62

Determines if this finder pattern "about equals" a finder pattern at the stated position and size -- meaning, it is at nearly the same center with nearly the same size.

`public aboutEquals(float $moduleSize, float $i, float $j) : bool`

##### Parameters

$moduleSize : float
$i : float
$j : float

##### Return values

bool —

#### getEstimatedModuleSize()

ResultPoint.php : 54
`public getEstimatedModuleSize() : float`

##### Return values

float —

#### getX()

ResultPoint.php : 40
`public getX() : float`

##### Return values

float —

#### getY()

ResultPoint.php : 47
`public getY() : float`

##### Return values

float —

## Search results